Creates a new unavailability type
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "80a13fbb-33e2-4afd-add2-44c6f83d8a71",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "6912fbd9-efae-4193-bf21-cdf02f2952c7",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e7ba3bfc-74ac-4c9b-ae4b-7462bec1e465",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "4bd224e0-562b-4f4c-a0f3-c95bc6054e46",
"db_currency_id": "efcaf999-ea73-4b18-afec-2d2c2c6ee98b",
"db_language_id": "f918281c-997a-4124-80ba-02062657ccf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:47:34.8466027+00:00"
},
"modified_dateutc": "2026-10-28T21:47:34.8466027+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.